Package org.codehaus.plexus.util.cli

# Class CommandLineUtils.StringStreamConsumer

java.lang.Object
org.codehaus.plexus.util.cli.CommandLineUtils.StringStreamConsumer

All Implemented Interfaces:
  `StreamConsumer`

Enclosing class:
  `CommandLineUtils`

public static class CommandLineUtils.StringStreamConsumer extends Object implements StreamConsumer
A `StreamConsumer` providing consumed lines as a `String`.

See Also:
  - `getOutput()`

## Constructor Summary

Constructors
Constructor
Description
`StringStreamConsumer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`consumeLine(String line)`
Called when the StreamPumper pumps a line from the Stream.
`String`
`getOutput()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringStreamConsumer

public StringStreamConsumer()

## Method Details

### consumeLine

public void consumeLine(String line)
Description copied from interface: `StreamConsumer`
Called when the StreamPumper pumps a line from the Stream.

Specified by:
  `consumeLine` in interface `StreamConsumer`
Parameters:
  `line` - The line to be consumed.

### getOutput

public String getOutput()